Problems with 2.0 EAP Tutorial

I'm trying out MPS 2.0 EAP since it has features I need (namely pasting/importing existing Java.)  I tried installing it and opening my existing workspace when I did the tutorial from MPS 1.5, but got lots of errors as well as a crash, so I decided to start a fresh workspace and installation.

So on my clean install and workspace, I tried following Markus's tutorial and got to the part where I need to compile, but found that I received four errors that there is an unresolved dependency to "devkit: jetbrains.mps.devkit.general-purpose."

I could manually delete this dependency I suppose, but it sounds important and I didn't put it there.  Is this a bug?

Is the EAP ready to use or should I avoid it until it stabilizes?

Thanks,

Jeff

1 comment
Comment actions Permalink
I could manually delete this dependency I suppose, but it sounds important and I didn't put it there.  Is this a bug?

Yep. See our answer to another blog post.
0

Please sign in to leave a comment.